Ruby: parser_params Struct Reference

Ruby 3.4.9p82 (2026-03-11 revision 76cca827ab52ab1d346a728f068d5b8da3e2952b)

Data Fields
parser_params Struct Reference

## Data Fields
YYSTYPE * | lval
YYLTYPE * | yylloc
struct { |
rb_strterm_t * strterm |
rb_parser_lex_gets_func * gets |
rb_parser_input_data input |
parser_string_buffer_t string_buffer |
rb_parser_string_t * lastline |
rb_parser_string_t * nextline |
const char * pbeg |
const char * pcur |
const char * pend |
const char * ptok |
enum lex_state_e state |
int paren_nest |
int lpar_beg |
int brace_nest |
} | lex
stack_type | cond_stack
stack_type | cmdarg_stack
int | tokidx
int | toksiz
int | heredoc_end
int | heredoc_indent
int | heredoc_line_indent
char * | tokenbuf
struct local_vars * | lvtbl
st_table * | pvtbl
st_table * | pktbl
int | line_count
int | ruby_sourceline
const char * | ruby_sourcefile
VALUE | ruby_sourcefile_string
rb_encoding * | enc
token_info * | token_info
st_table * | case_labels
rb_node_exits_t * | exits
VALUE | debug_buffer
VALUE | debug_output
struct { |
rb_parser_string_t * token |
int beg_line |
int beg_col |
int end_line |
int end_col |
} | delayed
rb_ast_t * | ast
int | node_id
st_table * | warn_duplicate_keys_table
int | max_numparam
ID | it_id
struct lex_context | ctxt
NODE * | eval_tree_begin
NODE * | eval_tree
const struct rb_iseq_struct * | parent_iseq
signed int | frozen_string_literal:2
unsigned int | command_start:1
unsigned int | eofp: 1
unsigned int | ruby__end__seen: 1
unsigned int | debug: 1
unsigned int | has_shebang: 1
unsigned int | token_seen: 1
unsigned int | token_info_enabled: 1
unsigned int | error_p: 1
unsigned int | cr_seen: 1
unsigned int | do_print: 1
unsigned int | do_loop: 1
unsigned int | do_chomp: 1
unsigned int | do_split: 1
unsigned int | error_tolerant: 1
unsigned int | keep_tokens: 1
VALUE | error_buffer
rb_parser_ary_t * | debug_lines
end_expect_token_locations_t * | end_expect_token_locations
int | token_id
rb_parser_ary_t * | tokens

## Detailed Description

Definition at line 543 of file parse.c.

## Field Documentation

## ◆ ast

rb_ast_t* parser_params::ast

Definition at line 597 of file parse.c.

## ◆ beg_col

int parser_params::beg_col

Definition at line 592 of file parse.c.

## ◆ beg_line

int parser_params::beg_line

Definition at line 591 of file parse.c.

## ◆ brace_nest

int parser_params::brace_nest

Definition at line 564 of file parse.c.

## ◆ case_labels

st_table* parser_params::case_labels

Definition at line 583 of file parse.c.

## ◆ cmdarg_stack

stack_type parser_params::cmdarg_stack

Definition at line 567 of file parse.c.

## ◆ command_start

unsigned int parser_params::command_start

Definition at line 617 of file parse.c.

## ◆ cond_stack

stack_type parser_params::cond_stack

Definition at line 566 of file parse.c.

## ◆ cr_seen

unsigned int parser_params::cr_seen

Definition at line 628 of file parse.c.

## ◆ ctxt

struct lex_context parser_params::ctxt

Definition at line 605 of file parse.c.

## ◆ debug

unsigned int parser_params::debug

Definition at line 620 of file parse.c.

## ◆ debug_buffer

VALUE parser_params::debug_buffer

Definition at line 586 of file parse.c.

## ◆ debug_lines

rb_parser_ary_t* parser_params::debug_lines

Definition at line 641 of file parse.c.

## ◆ debug_output

VALUE parser_params::debug_output

Definition at line 587 of file parse.c.

## ◆ do_chomp

unsigned int parser_params::do_chomp

Definition at line 635 of file parse.c.

## ◆ do_loop

unsigned int parser_params::do_loop

Definition at line 634 of file parse.c.

## ◆ do_print

unsigned int parser_params::do_print

Definition at line 633 of file parse.c.

## ◆ do_split

unsigned int parser_params::do_split

Definition at line 636 of file parse.c.

## ◆ enc

rb_encoding* parser_params::enc

Definition at line 581 of file parse.c.

## ◆ end_col

int parser_params::end_col

Definition at line 594 of file parse.c.

## ◆ end_expect_token_locations

end_expect_token_locations_t* parser_params::end_expect_token_locations

Definition at line 646 of file parse.c.

## ◆ end_line

int parser_params::end_line

Definition at line 593 of file parse.c.

## ◆ eofp

unsigned int parser_params::eofp

Definition at line 618 of file parse.c.

## ◆ error_buffer

VALUE parser_params::error_buffer

Definition at line 640 of file parse.c.

## ◆ error_p

unsigned int parser_params::error_p

Definition at line 627 of file parse.c.

## ◆ error_tolerant

unsigned int parser_params::error_tolerant

Definition at line 637 of file parse.c.

## ◆ eval_tree

NODE* parser_params::eval_tree

Definition at line 608 of file parse.c.

## ◆ eval_tree_begin

NODE* parser_params::eval_tree_begin

Definition at line 607 of file parse.c.

## ◆ exits

rb_node_exits_t* parser_params::exits

Definition at line 584 of file parse.c.

## ◆ frozen_string_literal

signed int parser_params::frozen_string_literal

Definition at line 615 of file parse.c.

## ◆ gets

rb_parser_lex_gets_func* parser_params::gets

Definition at line 549 of file parse.c.

## ◆ has_shebang

unsigned int parser_params::has_shebang

Definition at line 621 of file parse.c.

## ◆ heredoc_end

int parser_params::heredoc_end

Definition at line 570 of file parse.c.

## ◆ heredoc_indent

int parser_params::heredoc_indent

Definition at line 571 of file parse.c.

## ◆ heredoc_line_indent

int parser_params::heredoc_line_indent

Definition at line 572 of file parse.c.

## ◆ input

rb_parser_input_data parser_params::input

Definition at line 550 of file parse.c.

## ◆ it_id

ID parser_params::it_id

Definition at line 603 of file parse.c.

## ◆ keep_tokens

unsigned int parser_params::keep_tokens

Definition at line 638 of file parse.c.

## ◆ lastline

rb_parser_string_t* parser_params::lastline

Definition at line 552 of file parse.c.

## ◆ line_count

int parser_params::line_count

Definition at line 577 of file parse.c.

## ◆ lpar_beg

int parser_params::lpar_beg

Definition at line 562 of file parse.c.

## ◆ lval

YYSTYPE* parser_params::lval

Definition at line 544 of file parse.c.

## ◆ lvtbl

struct local_vars* parser_params::lvtbl

Definition at line 574 of file parse.c.

## ◆ max_numparam

int parser_params::max_numparam

Definition at line 602 of file parse.c.

## ◆ nextline

rb_parser_string_t* parser_params::nextline

Definition at line 553 of file parse.c.

## ◆ node_id

int parser_params::node_id

Definition at line 598 of file parse.c.

## ◆ paren_nest

int parser_params::paren_nest

Definition at line 560 of file parse.c.

## ◆ parent_iseq

const struct rb_iseq_struct* parser_params::parent_iseq

Definition at line 609 of file parse.c.

## ◆ pbeg

const char* parser_params::pbeg

Definition at line 554 of file parse.c.

## ◆ pcur

const char* parser_params::pcur

Definition at line 555 of file parse.c.

## ◆ pend

const char* parser_params::pend

Definition at line 556 of file parse.c.

## ◆ pktbl

st_table* parser_params::pktbl

Definition at line 576 of file parse.c.

## ◆ ptok

const char* parser_params::ptok

Definition at line 557 of file parse.c.

## ◆ pvtbl

st_table* parser_params::pvtbl

Definition at line 575 of file parse.c.

## ◆ ruby__end__seen

unsigned int parser_params::ruby__end__seen

Definition at line 619 of file parse.c.

## ◆ ruby_sourcefile

const char* parser_params::ruby_sourcefile

Definition at line 579 of file parse.c.

## ◆ ruby_sourcefile_string

VALUE parser_params::ruby_sourcefile_string

Definition at line 580 of file parse.c.

## ◆ ruby_sourceline

int parser_params::ruby_sourceline

Definition at line 578 of file parse.c.

## ◆ state

enum lex_state_e parser_params::state

Definition at line 558 of file parse.c.

## ◆ string_buffer

parser_string_buffer_t parser_params::string_buffer

Definition at line 551 of file parse.c.

## ◆ strterm

rb_strterm_t* parser_params::strterm

Definition at line 548 of file parse.c.

## ◆ token

rb_parser_string_t* parser_params::token

Definition at line 590 of file parse.c.

## ◆ token_id

int parser_params::token_id

Definition at line 648 of file parse.c.

## ◆ token_info

token_info* parser_params::token_info

Definition at line 582 of file parse.c.

## ◆ token_info_enabled

unsigned int parser_params::token_info_enabled

Definition at line 623 of file parse.c.

## ◆ token_seen

unsigned int parser_params::token_seen

Definition at line 622 of file parse.c.

## ◆ tokenbuf

char* parser_params::tokenbuf

Definition at line 573 of file parse.c.

## ◆ tokens

rb_parser_ary_t* parser_params::tokens

Definition at line 650 of file parse.c.

## ◆ tokidx

int parser_params::tokidx

Definition at line 568 of file parse.c.

## ◆ toksiz

int parser_params::toksiz

Definition at line 569 of file parse.c.

## ◆ warn_duplicate_keys_table

st_table* parser_params::warn_duplicate_keys_table

Definition at line 600 of file parse.c.

## ◆ yylloc

YYLTYPE* parser_params::yylloc

Definition at line 545 of file parse.c.

The documentation for this struct was generated from the following file:

- parse.c